<?xml version='1.0' encoding='UTF-8'?>

<Properties version="4.1">
	<Property name="xslt.base64Zipped">true</Property>
	<Property name="xslt.ignoreInput">true</Property>
	<Property name="xslt.params" type="List">
		<Property name="var.session">var.session</Property>
		<Property name="var.id">var.id</Property>
		<Property name="var.asset">var.asset</Property>
	</Property>
	<Property name="xslt.saveAtServer">true</Property>
	<Property name="xslt.setAllVariablesAsTransformerParams">true</Property>
	<Property name="xslt.source"></Property>
	<Property name="xslt.sourceVariables" type="Map">
		<Property name="ISCurrentTime">1506079357114</Property>
		<Property name="ISWorkflowName">VAM_am_028_updateAsset</Property>
		<Property name="ISModuleName">VAM_am_assign</Property>
		<Property name="ISModuleId">42</Property>
		<Property name="ISProcessId">2651159</Property>
		<Property name="ISUserName">kaufhold</Property>
		<Property name="ISServerName">dev04.virtimo.net</Property>
		<Property name="ISGlobalProcessId">2651159</Property>
		<Property name="log" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;log/></Property>
		<Property name="templateId">21</Property>
		<Property name="var.id">761</Property>
		<Property name="var.asset" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;asset>&lt;id>761&lt;/id>&lt;colorCode>&lt;value>77aa00&lt;/value>&lt;/colorCode>&lt;displayName>Christian HEUTE&lt;/displayName>&lt;version>&lt;customId>Partner G&lt;/customId>&lt;description/>&lt;customAttributes>&lt;attribute>&lt;key>CK&lt;/key>&lt;unit/>&lt;value>TEST&lt;/value>&lt;/attribute>&lt;attribute>&lt;key>DK&lt;/key>&lt;unit/>&lt;value>FEST&lt;/value>&lt;/attribute>&lt;/customAttributes>&lt;template>&lt;id>21&lt;/id>&lt;displayName>Mandant&lt;/displayName>&lt;actions>&lt;action>&lt;key>exportMasterData&lt;/key>&lt;displayName>Stammdatenexport&lt;/displayName>&lt;displayDescription>Ziel erfassen!&lt;/displayDescription>&lt;type>asset&lt;/type>&lt;singleAsset>true&lt;/singleAsset>&lt;parameters>&lt;type>static&lt;/type>&lt;attributes>&lt;attribute>&lt;key>ABC&lt;/key>&lt;displayName>XYZ&lt;/displayName>&lt;labels>&lt;de>XYZ&lt;/de>&lt;en>ZWX&lt;/en>&lt;/labels>&lt;/attribute>&lt;/attributes>&lt;attachments/>&lt;/parameters>&lt;/action>&lt;/actions>&lt;/template>&lt;versionedAttributes>&lt;attribute>&lt;key>senderName&lt;/key>&lt;displayDescription>Name für das Logging&lt;/displayDescription>&lt;displayEmptyText>Bitte etwas eingeben&lt;/displayEmptyText>&lt;required>true&lt;/required>&lt;displayName>Name deutsch&lt;/displayName>&lt;value>Christian&lt;/value>&lt;/attribute>&lt;attribute>&lt;key>senderCode&lt;/key>&lt;required>true&lt;/required>&lt;maxLength>24&lt;/maxLength>&lt;displayName>EIC-Code&lt;/displayName>&lt;value>CK0000001111222&lt;/value>&lt;/attribute>&lt;/versionedAttributes>&lt;childTemplates>&lt;templateöl>&lt;id>22&lt;/id>&lt;displayName>Netzpunkt&lt;/displayName>&lt;maximumQuantity>0&lt;/maximumQuantity>&lt;assets>&lt;asset>&lt;id>762&lt;/id>&lt;colorCode>&lt;value>7700aa&lt;/value>&lt;/colorCode>&lt;displayName>ABC&lt;/displayName>&lt;linkedFrom>1999-12-31T23:00:00Z&lt;/linkedFrom>&lt;linkedTo>9000-01-01T00:00:00Z&lt;/linkedTo>&lt;/asset>&lt;asset>&lt;id>763&lt;/id>&lt;colorCode>&lt;value>ccaaff&lt;/value>&lt;/colorCode>&lt;displayName>text/xml&lt;/displayName>&lt;linkedFrom>1000-01-01T00:00:00Z&lt;/linkedFrom>&lt;linkedTo>9000-01-01T00:00:00Z&lt;/linkedTo>&lt;/asset>&lt;asset>&lt;id>764&lt;/id>&lt;colorCode>&lt;value>ccaaff&lt;/value>&lt;/colorCode>&lt;displayName>GHI&lt;/displayName>&lt;linkedFrom>1000-01-01T00:00:00Z&lt;/linkedFrom>&lt;linkedTo>9000-01-01T00:00:00Z&lt;/linkedTo>&lt;/asset>&lt;asset>&lt;id>801&lt;/id>&lt;colorCode>&lt;value>ccaaff&lt;/value>&lt;/colorCode>&lt;displayName>Element 801&lt;/displayName>&lt;linkedFrom>1000-01-01T00:00:00Z&lt;/linkedFrom>&lt;linkedTo>9000-01-01T00:00:00Z&lt;/linkedTo>&lt;/asset>&lt;/assets>&lt;/templateöl>&lt;/childTemplates>&lt;updatedOn>2017-09-18T18:19:15Z&lt;/updatedOn>&lt;updatedByUser>&lt;id>bpcadmin&lt;/id>&lt;displayName>BPC Administrator&lt;/displayName>&lt;/updatedByUser>&lt;/version>&lt;allVersions>&lt;version>&lt;versionComment/>&lt;updatedOn>2017-09-22T11:10:50Z&lt;/updatedOn>&lt;updatedByUser>&lt;id>bpcadmin&lt;/id>&lt;displayName>BPC Administrator&lt;/displayName>&lt;/updatedByUser>&lt;/version>&lt;/allVersions>&lt;unversionedAttributes/>&lt;parentTemplates/>&lt;createdOn>2017-08-04T13:49:15Z&lt;/createdOn>&lt;createdByUser>&lt;id>bpcadmin&lt;/id>&lt;displayName>BPC Administrator&lt;/displayName>&lt;/createdByUser>&lt;lastUpdatedOn>2017-09-22T11:10:50Z&lt;/lastUpdatedOn>&lt;lastUpdatedByUser>&lt;id>bpcadmin&lt;/id>&lt;displayName>BPC Administrator&lt;/displayName>&lt;/lastUpdatedByUser>&lt;/asset></Property>
		<Property name="var.session" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;session>&lt;request>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>update&lt;/method>&lt;parameters>&lt;id>761&lt;/id>&lt;updatedOn>2017-09-18T18:19:15Z&lt;/updatedOn>&lt;return>true&lt;/return>&lt;returnParameters>&lt;withoutHiddenAttributes>true&lt;/withoutHiddenAttributes>&lt;other>PREVIOUS&lt;/other>&lt;/returnParameters>&lt;/parameters>&lt;withUser>false&lt;/withUser>&lt;startTimestamp>1506078650242&lt;/startTimestamp>&lt;/request>&lt;configuration>&lt;api xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">&lt;database>&lt;type>oracle&lt;/type>&lt;default>&lt;alertTimeout>20&lt;/alertTimeout>&lt;queryTimeout>60&lt;/queryTimeout>&lt;/default>&lt;/database>&lt;entity>&lt;validate>false&lt;/validate>&lt;/entity>&lt;response>&lt;debuggingInformation>false&lt;/debuggingInformation>&lt;format>false&lt;/format>&lt;validate>true&lt;/validate>&lt;/response>&lt;user>&lt;maxAge>P0DT2H0M5S&lt;/maxAge>&lt;/user>&lt;technicalUser>&lt;loginName>sys&lt;/loginName>&lt;/technicalUser>&lt;alerting>&lt;recipient>&lt;eMailAddress>kaufhold@virtimo.de &lt;/eMailAddress>&lt;/recipient>&lt;mail>&lt;host>smtp.googlemail.com&lt;/host>&lt;sender>&lt;eMailAddress>jochen@virtimo.net &lt;/eMailAddress>&lt;/sender>&lt;debuggingInformation>true&lt;/debuggingInformation>&lt;/mail>&lt;/alerting>&lt;backend>&lt;imnot>&lt;url>https://localhost:7080/im/1/rest/&lt;/url>&lt;/imnot>&lt;bpc>&lt;url>http://localhost:8181/cxf/bpc-core/authentication&lt;/url>&lt;/bpc>&lt;/backend>&lt;/api>&lt;am xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">&lt;entity>&lt;validate>false&lt;/validate>&lt;/entity>&lt;technicalUser>&lt;loginName>sys&lt;/loginName>&lt;/technicalUser>&lt;/am>&lt;userGroupName>VAM&lt;/userGroupName>&lt;/configuration>&lt;user>&lt;id>bpcadmin&lt;/id>&lt;displayName>BPC Administrator&lt;/displayName>&lt;loginName>bpcadmin&lt;/loginName>&lt;name>BPC Administrator&lt;/name>&lt;eMailAddress/>&lt;active>true&lt;/active>&lt;locale>de_DE&lt;/locale>&lt;language>de&lt;/language>&lt;country>DE&lt;/country>&lt;roles>&lt;role>Power User&lt;/role>&lt;role>User&lt;/role>&lt;role>VAM-administrator&lt;/role>&lt;role>VAM_organization_PF&lt;/role>&lt;role>VAM_organization_cktest&lt;/role>&lt;role>VAM_organization_showcase&lt;/role>&lt;role>bpcAdmin&lt;/role>&lt;role>bpcUser&lt;/role>&lt;role>bpcadmin&lt;/role>&lt;/roles>&lt;permissions>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>executeAction&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>getActionAttributes&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>person&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>executeAction&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>getActionAttributes&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>getImage&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>setImage&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>api&lt;/module>&lt;context>organization&lt;/context>&lt;method>getConfiguration&lt;/method>&lt;/permission>&lt;permission>&lt;module>api&lt;/module>&lt;context>organization&lt;/context>&lt;method>setConfiguration&lt;/method>&lt;/permission>&lt;permission>&lt;module>api&lt;/module>&lt;context>organization&lt;/context>&lt;method>setName&lt;/method>&lt;/permission>&lt;/permissions>&lt;organizations>&lt;organization>&lt;id>cktest&lt;/id>&lt;displayName>ckTEST&lt;/displayName>&lt;name>ckTEST&lt;/name>&lt;configuration>&lt;am>
    &lt;overviews>
      &lt;overview>
        &lt;type>grid&lt;/type>
        &lt;singleTemplateMode>
          &lt;templateId>21&lt;/templateId>
        &lt;/singleTemplateMode>
        &lt;information>
          &lt;de>Hier gibt es nur deutschen Text.&lt;/de>
        &lt;/information>
      &lt;/overview>
      &lt;overview>
        &lt;type>grid&lt;/type>
        &lt;singleTemplateMode>
          &lt;templateId>22&lt;/templateId>
        &lt;/singleTemplateMode>
        &lt;information>
          &lt;en>The authorization logic in the Javascript client is currently much less fine-grained. This reflects that not all combinations are sensible: nothing is possible (if any 'query' or 'get' permission for 'template', 'asset', 'query' or 'person' is missing)
access - i.e., the asset management UI appears at all.
three rights for creating, editing and deleting assets (determined from the permissions above) - even here, it appears strange to allow creating without editing.
two rights for creating and editing persons (determined from the permission above) - currently persons cannot be deleted at all."&lt;/en>
        &lt;/information>
      &lt;/overview>
    &lt;/overviews>
  &lt;/am>&lt;/configuration>&lt;active>true&lt;/active>&lt;/organization>&lt;/organizations>&lt;/user>&lt;/session></Property>
	</Property>
	<Property name="xslt.stylesheet" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:am="http://www.bosch-si.com/2013/AM" exclude-result-prefixes="#all" version="2.0">  
  &lt;xsl:import href="inubitmodule://VAM_api_XSLT_Tools"/>
  &lt;xsl:output method="xml" encoding="UTF-8"/>
  &lt;xsl:param name="var.session" as="element()"/>&lt;xsl:param name="var.id"/>&lt;xsl:param name="var.asset" as="element()"/>
  &lt;xsl:template match="/"> 
    &lt;queries> 
       
      
      &lt;query properties="force" queryID="children">
        &lt;value>
select 
A.ID,
A.DELETED,
A.ORGANIZATIONID 

from assets a

where not(
  a.deleted = '0'
  and a.organizationId = &lt;xsl:value-of select="am:stringToDB($var.session/user/organizations/organization/id)"/>
)
and 
  &lt;xsl:value-of select="am:keyInAssetList('a.id', $var.asset/version/childTemplates/template/assets/asset)"/>
          
        &lt;/value> 
      &lt;/query>&lt;query properties="force" queryID="parentsOfUpdatedAsset">
        &lt;value> select distinct assetid from ass_children where childAssetId =&lt;xsl:value-of select="am:numberToDB($var.id)"/>
          
        &lt;/value> 
      &lt;/query>
      &lt;query queryID="parentAssetQuantities" properties="force">
        &lt;value>&lt;xsl:text>
select AC.ASSETID OTHERPARENTID, AC.CHILDASSETID CHILDASSETID,

&lt;/xsl:text>&lt;xsl:value-of select="concat(am:timestampFromDB(&amp;quot;AC.LINKEDFROM&amp;quot;), ', ', am:timestampFromDB(&amp;quot;AC.LINKEDTO&amp;quot;))"/>&lt;xsl:text>
from ass_children ac

join assets p
on ac.assetId = p.id

join assets q
on p.templateId = q.templateId


where q.id = &lt;/xsl:text>&lt;xsl:value-of select="am:numberToDB($var.id)"/>&lt;xsl:text> and &lt;/xsl:text>&lt;xsl:value-of select="am:keyInAssetList('ac.childAssetId', $var.asset/version/childTemplates/template/assets/asset)"/>&lt;xsl:text>  and ac.assetId != &lt;/xsl:text>&lt;xsl:value-of select="am:numberToDB($var.id)"/>
          
        &lt;/value>
      &lt;/query>
      
    &lt;/queries> 
  &lt;/xsl:template> 
&lt;/xsl:stylesheet></Property>
	<Property name="xslt.target"></Property>
	<Property name="xslt.transformer">net.sf.saxon.TransformerFactoryImpl</Property>
</Properties>